export const GetAnimeList = async (userID: number): Promise<UserAnime[]> => {
	 const res = await fetch(`https://api.meikan.moe/v1/users/${userID}/anime`)
	 const anime: UserAnime[] = await res.json()

	 return anime
}

export const FindUsers = async (name: string): Promise<User[]> => {
	const res = await fetch('https://api.meikan.moe/v1/users', {
		method: 'POST',
		mode: 'cors',
		body: JSON.stringify({
			name,
		}),
	})

	const users: User[] = await res.json()

	return users
}
